package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户信息对象 t_user_info
 * 
 * @author ruoyi
 * @date 2023-08-01
 */
@Data
@TableName("t_user_info")
public class UserInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 用户手机号 */
    @Excel(name = "用户手机号")
    private String userPhone;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;


    /**
     * 验证码的key
     */
    @TableField(exist = false)
    private String keyCode;

    /**
     * 验证码的
     */
    @TableField(exist = false)
    private String code;

    /** 经度 */
    @TableField(exist = false)
    private String longitude;

    /** 纬度 */
    @TableField(exist = false)
    private String latitude;


    /** 定位时间 */
    @TableField(exist = false)
    private String positionTime;


}
